/[gentoo-x86]/eclass/qt4.eclass
Gentoo

Diff of /eclass/qt4.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.10 Revision 1.17
1# Copyright 2005 Gentoo Foundation 1# Copyright 2005 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/Attic/qt4.eclass,v 1.10 2007/03/14 14:58:36 caleb Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/Attic/qt4.eclass,v 1.17 2007/06/20 11:53:07 caleb Exp $
4# 4#
5# Author Caleb Tennis <caleb@gentoo.org> 5# Author Caleb Tennis <caleb@gentoo.org>
6# 6#
7# This eclass is simple. Inherit it, and in your depend, do something like this: 7# This eclass is simple. Inherit it, and in your depend, do something like this:
8# 8#
11# and it handles the rest for you 11# and it handles the rest for you
12# 12#
13# 08.16.06 - Renamed qt_min_* to qt4_min_* to avoid conflicts with the qt3 eclass. 13# 08.16.06 - Renamed qt_min_* to qt4_min_* to avoid conflicts with the qt3 eclass.
14# - Caleb Tennis <caleb@gentoo.org> 14# - Caleb Tennis <caleb@gentoo.org>
15 15
16inherit versionator 16inherit versionator eutils
17 17
18QTPKG="x11-libs/qt-" 18QTPKG="x11-libs/qt-"
19QT4MAJORVERSIONS="4.2 4.1 4.0" 19QT4MAJORVERSIONS="4.3 4.2 4.1 4.0"
20QT4VERSIONS="4.2.3 4.2.2 4.2.1 4.2.0-r2 4.2.0-r1 4.2.0 4.1.4-r2 4.1.4-r1 4.1.4 4.1.3 4.1.2 4.1.1 4.1.0 4.0.1 4.0.0" 20QT4VERSIONS="4.3.0 4.3.0_rc1 4.3.0_beta1 4.2.3-r1 4.2.3 4.2.2 4.2.1 4.2.0-r2 4.2.0-r1 4.2.0 4.1.4-r2 4.1.4-r1 4.1.4 4.1.3 4.1.2 4.1.1 4.1.0 4.0.1 4.0.0"
21 21
22qt4_min_version() { 22qt4_min_version() {
23 echo "|| (" 23 echo "|| ("
24 qt4_min_version_list "$@" 24 qt4_min_version_list "$@"
25 echo ")" 25 echo ")"
48 *) VERSIONS="=${QTPKG}4*";; 48 *) VERSIONS="=${QTPKG}4*";;
49 esac 49 esac
50 50
51 echo "${VERSIONS}" 51 echo "${VERSIONS}"
52} 52}
53
54EXPORT_FUNCTIONS pkg_setup
55
56qt4_pkg_setup() {
57 for x in $QT4_BUILT_WITH_USE_CHECK; do
58 if !built_with_use =x11-libs/qt-4* $x; then
59 die "This package requires Qt4 to be built with the ${x} use flag."
60 fi
61 done
62
63}

Legend:
Removed from v.1.10  
changed lines
  Added in v.1.17

  ViewVC Help
Powered by ViewVC 1.1.20